Xerces-C++: StdInInputSource Class Reference

Xerces-C++ 3.2.1

List of all members
StdInInputSource Class Reference

This class is a derivative of the standard InputSource class. More...

Inheritance diagram for StdInInputSource:

## Public Member Functions
Constructor
| StdInInputSource (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Since the standard input is a canned source, the constructor is very simple. More...
Destructor
| ~StdInInputSource ()
Virtual methods
BinInputStream * | makeStream () const
| This method will return a binary input stream derivative that will parse from the standard input of the local host. More...
Public Member Functions inherited from InputSource
virtual | ~InputSource ()
| Destructor. More...
virtual const XMLCh * | getEncoding () const
| An input source can be set to force the parser to assume a particular encoding for the data that input source represents, via the setEncoding() method. More...
virtual const XMLCh * | getPublicId () const
| Get the public identifier for this input source. More...
virtual const XMLCh * | getSystemId () const
| Get the system identifier for this input source. More...
virtual bool | getIssueFatalErrorIfNotFound () const
| Get the flag that indicates if the parser should issue fatal error if this input source is not found. More...
MemoryManager * | getMemoryManager () const
virtual void | setEncoding (const XMLCh *const encodingStr)
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source. More...
virtual void | setPublicId (const XMLCh *const publicId)
| Set the public identifier for this input source. More...
virtual void | setSystemId (const XMLCh *const systemId)
| Set the system identifier for this input source. More...
virtual void | setIssueFatalErrorIfNotFound (const bool flag)
| Indicates if the parser should issue fatal error if this input source is not found. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from InputSource
| InputSource (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor. More...
| InputSource (const XMLCh *const systemId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor with a system identifier as XMLCh type. More...
| InputSource (const XMLCh *const systemId, const XMLCh *const publicId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor with a system and public identifiers. More...
| InputSource (const char *const systemId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor witha system identifier as string. More...
| InputSource (const char *const systemId, const char *const publicId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor witha system and public identifiers. More...
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Detailed Description

This class is a derivative of the standard InputSource class.

It provides for the parser access to data via the standard input. This input source is not commonly used, but can be useful when implementing such things as pipe based tools which exchange XML data.

As with all InputSource derivatives. The primary objective of an input source is to create an input stream via which the parser can spool in data from the referenced source.

## Constructor & Destructor Documentation

## ◆ StdInInputSource()

StdInInputSource::StdInInputSource | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

Since the standard input is a canned source, the constructor is very simple.

It just uses local platform services to open up the standard input source as file, a new handleof which it gives to each new stream it creates.

## ◆ ~StdInInputSource()

StdInInputSource::~StdInInputSource | ( |  | ) |

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ makeStream()

BinInputStream* StdInInputSource::makeStream | ( |  | ) | const
| virtual

This method will return a binary input stream derivative that will parse from the standard input of the local host.

Returns
  A dynamically allocated binary input stream derivative that can parse from the standardinput.

Implements InputSource.

The documentation for this class was generated from the following file:

- StdInInputSource.hpp